stages:         
  - test
  - git pull
  - install docker compose 
  - container-build
default:
  before_script:
    - sudo su
    - cd /u01/ci-cd-node-js-with-docker-compose/
  tags:
    - compose-runner
test:       
  stage: test
  script:
    - pwd
  when: manual
install docker compose:
  stage: install docker compose
  script:
    - sudo sudo curl -L "https://github.com/docker/compose/releases/download/1.29.2/docker-compose-$(uname -s)-$(uname -m)" -o /usr/local/bin/docker-compose
    - sudo chmod +x /usr/local/bin/docker-compose
    - sudo ln -s /usr/local/bin/docker-compose /usr/bin/docker-compose
    - docker-compose --version
  when: manual
git pull:
  stage: git pull
  script:
    - git pull
  when: manual
container-build:
  stage: container-build
  script:
    - cd /u01/ci-cd-node-js-with-docker-compose/app/
    - sudo docker-compose up -d
  when: manual
  




